Bug 522738 - [RHEL4.8] igb driver doesn't allocate enough buffer for ethtool_get_strings() [rhel-4.8.z]
Summary: [RHEL4.8] igb driver doesn't allocate enough buffer for ethtool_get_strings()...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Vitaly Mayatskikh
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 517329
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 09:17 UTC by RHEL Product and Program Management
Modified: 2011-01-31 00:03 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The data buffer ethtool_get_strings() allocated, for the igb driver, was smaller than the amount of data that was copied in igb_get_strings(), because of a miscalculation in IGB_QUEUE_STATS_LEN, resulting in memory corruption. This bug could have led to a kernel panic.
Clone Of:
Environment:
Last Closed: 2009-10-22 15:09:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1522 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2009-10-22 15:09:25 UTC

Description RHEL Product and Program Management 2009-09-11 09:17:07 UTC
This bug has been copied from bug #517329 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 3 Vitaly Mayatskikh 2009-10-02 10:48:40 UTC
Committed in 89.0.13

Comment 7 errata-xmlrpc 2009-10-22 15:09:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1522.html

Comment 8 Douglas Silas 2011-01-31 00:03:21 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The data buffer ethtool_get_strings() allocated, for the igb driver, was smaller than the amount of data that was copied in igb_get_strings(), because of a miscalculation in IGB_QUEUE_STATS_LEN, resulting in memory corruption. This bug could have led to a kernel panic.


Note You need to log in before you can comment on or make changes to this bug.